BEGIN ~BANSHEE~

IF ~InParty("Jetlaya")
Global("TalkedToBan","GLOBAL",0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN EXTERN ~JETLAJ~ 0
END

IF ~~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN EXTERN ~JETLAJ~ 1
END

IF ~~ THEN BEGIN 2
  SAY @2
  IF ~~ THEN EXTERN ~JETLAJ~ 2
END

IF ~!InParty("Jetlaya")
~ THEN BEGIN 3
  SAY @3
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @3
  IF ~~ THEN DO ~SetGlobal("TalkedToBan","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~InParty("Jetlaya")
Global("TalkedToBan","GLOBAL",1)
~ THEN BEGIN 5
  SAY @3
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
